<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/layout"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".LabelSchedule_Activity">

    <LinearLayout
        android:id="@+id/layout_header"
        android:layout_width="match_parent"
        android:layout_height="40dp"
        android:background="@color/color_header"
        android:orientation="horizontal"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <ImageButton
            android:id="@+id/imb_back"
            style="@style/Base.Widget.AppCompat.Button.Borderless"
            android:layout_width="50dp"
            android:layout_height="wrap_content"
            android:onClick="onClick"
            app:srcCompat="@drawable/back" />

        <TextView
            android:id="@+id/txt_header"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:text="Schedule Label"
            android:gravity="center"
            android:textColor="@color/color_white"
            android:textSize="20sp"
            android:textStyle="bold" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/layout_date"
        android:layout_width="match_parent"
        android:layout_height="40dp"
        android:layout_marginTop="1dp"
        android:orientation="horizontal"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/layout_header">

        <TextView
            android:id="@+id/textView14"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginStart="2dp"
            android:layout_weight="0.95"
            android:gravity="left|center"
            android:text="From"
            android:textColor="@color/black"
            android:textSize="16sp" />

        <EditText
            android:id="@+id/edt_date_from"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="0.65"
            android:drawableEnd="@android:drawable/ic_menu_today"
            android:gravity="center"
            android:textColor="@color/black"
            android:background="@drawable/img_background"
            android:textSize="16sp" />

        <TextView
            android:id="@+id/textView2"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:gravity="center"
            android:text="To"
            android:textColor="@color/black"
            android:textSize="16sp" />

        <EditText
            android:id="@+id/edt_date_to"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="0.65"
            android:drawableEnd="@android:drawable/ic_menu_today"
            android:gravity="center"
            android:textColor="@color/black"
            android:background="@drawable/img_background"
            android:textSize="16sp" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/linearLayout"
        android:layout_width="match_parent"
        android:layout_height="40dp"
        android:layout_marginTop="4dp"
        android:orientation="horizontal"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/layout_date">

        <TextView
            android:id="@+id/textView21"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginStart="2dp"
            android:layout_weight="0.99"
            android:gravity="left|center"
            android:text="Supplier code"
            android:textColor="@color/black"
            android:textSize="16sp" />


        <TextView
            android:id="@+id/txt_supplier"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="0.85"
            android:background="@drawable/img_background"
            android:gravity="center"
            android:singleLine="true"
            android:textColor="@color/black"
            android:textSize="16sp" />

        <TextView
            android:id="@+id/textView2100"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginStart="2dp"
            android:layout_weight="1"
            android:gravity="left|center"
            android:text="Status"
            android:textColor="@color/black"
            android:textSize="16sp" />

        <Spinner
            android:id="@+id/spinner_status"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="0.85"
            android:background="@drawable/img_background"
            android:gravity="center"
            android:singleLine="true"
            android:entries="@array/status"
            android:textColor="@color/black"
            android:textSize="16sp" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/layout_part_no"
        android:layout_width="match_parent"
        android:layout_height="40dp"
        android:layout_marginTop="2dp"
        android:orientation="horizontal"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/linearLayout">

        <TextView
            android:id="@+id/textView39"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginStart="4dp"
            android:layout_weight="1"
            android:gravity="left|center"
            android:text="Parts No."
            android:textColor="@color/black"
            android:textSize="16sp" />

        <TextView
            android:id="@+id/txt_part_no"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="0.33"
            android:gravity="center"
            android:textColor="@color/black"
            android:background="@drawable/img_background"
            android:textSize="17sp" />
    </LinearLayout>

    <androidx.swiperefreshlayout.widget.SwipeRefreshLayout
        android:id="@+id/swipeContainer"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginTop="2dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="1.0"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/layout_part_no">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/view_schedule"
            android:layout_width="match_parent"
            android:layout_height="match_parent" />

    </androidx.swiperefreshlayout.widget.SwipeRefreshLayout>



    <EditText
        android:id="@+id/txt_label_issue_tmp"
        android:layout_width="fill_parent"
        android:layout_height="wrap_content"
        android:layout_centerHorizontal="true"
        android:background="@color/white"
        android:inputType="none"
        android:padding="5dp"
        android:visibility="visible"
        app:layout_constraintTop_toBottomOf="@+id/layout" />


</androidx.constraintlayout.widget.ConstraintLayout>